package org.dromara.payment.common.domain;

import lombok.Data;
import org.dromara.common.mybatis.core.domain.BaseEntity;

/**
 * 业务id基类
 */
@Data
public class BusId extends BaseEntity {
    /**
     * 结算中心id
     */
    private Long sydId;

    /**
     * 结算中心编号
     */
    private String sydNo;

    /**
     * 运营商编号
     */
    private String opNo;

    /**
     * 运营商id
     */
    private Long opId;

    /**
     * 代理商id
     */
    private Long channelId;

    /**
     * 代理商编号
     */
    private String channelNo;

    /**
     * 代理商上下级关系编码
     */
    private String channelCode;

    /**
     * 商户id
     */
    private Long merId;

    /**
     * 商户编号
     */
    private String merNo;

    public void bind(BusId bus){
        setSydId(bus.getSydId());
        setSydNo(bus.getSydNo());
        setOpId(bus.getOpId());
        setOpNo(bus.getOpNo());
        setChannelId(bus.getChannelId());
        setChannelNo(bus.getChannelNo());
        setChannelCode(bus.getChannelCode());
        setMerId(bus.getMerId());
        setMerNo(bus.getMerNo());
    }
}
